IRSensitivitySettings
Keywords: wiiremotej.IRSensitivitySettings class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class IRSensitivitySettings

    java.lang.Object
      wiiremotej.IRSensitivitySettings

    public class IRSensitivitySettings

extends java.lang.Object

Contains sensitivity settings for the Wii Remote's IR sensor. Immutable.

Field Summary
`static IRSensitivitySettings` | `WII_LEVEL_1` The first (lowest) sensitivity setting used by the Wii.
`static IRSensitivitySettings` | `WII_LEVEL_2` The second sensitivity setting used by the Wii.
`static IRSensitivitySettings` | `WII_LEVEL_3` The third sensitivity setting used by the Wii.
`static IRSensitivitySettings` | `WII_LEVEL_4` The fourth sensitivity setting used by the Wii.
`static IRSensitivitySettings` | `WII_LEVEL_5` The fifth (highest) sensitivity setting used by the Wii.

Constructor Summary
`IRSensitivitySettings(byte[] sensitivity1, byte[] sensitivity2)` Creates a new IRSensitivitySettings with the given IR sensitivity settings arrays.

Method Summary
`byte[]` | `getSensitivity1()` Returns a copy of the first sensitivity array.
`byte[]` | `getSensitivity2()` Returns a copy of the second sensitivity array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WII_LEVEL_1

    public static final IRSensitivitySettings WII_LEVEL_1

  The first (lowest) sensitivity setting used by the Wii.

### WII_LEVEL_2

    public static final IRSensitivitySettings WII_LEVEL_2

  The second sensitivity setting used by the Wii.

### WII_LEVEL_3

    public static final IRSensitivitySettings WII_LEVEL_3

  The third sensitivity setting used by the Wii.

### WII_LEVEL_4

    public static final IRSensitivitySettings WII_LEVEL_4

  The fourth sensitivity setting used by the Wii.

### WII_LEVEL_5

    public static final IRSensitivitySettings WII_LEVEL_5

  The fifth (highest) sensitivity setting used by the Wii.

Constructor Detail

### IRSensitivitySettings

    public IRSensitivitySettings(byte[] sensitivity1,
                                 byte[] sensitivity2)

  Creates a new IRSensitivitySettings with the given IR sensitivity settings arrays.

  Parameters:
    `sensitivity1` - the first array of settings. Must be exactly 9 bytes long.
    `sensitivity2` - the second array of settings. Must be exactly 2 bytes long.
  Throws:
    `java.lang.IllegalArgumentException` - if array lengths are wrong.

Method Detail

### getSensitivity1

    public byte[] getSensitivity1()

  Returns a copy of the first sensitivity array.

  Returns:
    a copy of the first sensitivity array.

### getSensitivity2

    public byte[] getSensitivity2()

  Returns a copy of the second sensitivity array.

  Returns:
    a copy of the second sensitivity array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD